# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit java-pkg

DESCRIPTION="Maven Continuum Continuous Integration Server"
HOMEPAGE="http://maven.apache.org/continuum"
SRC_URI="http://www.apache.org/dist/maven/binaries/continuum-${PV}-bin.tar.bz2"

LICENSE="Apache"
SLOT="0"
KEYWORDS="~x86"
IUSE=""

DEPEND="virtual/jdk"
RDEPEND="virtual/jre"

S=${WORKDIR}/continuum-${PV}

src_install() {
	echo "*** `pwd`"
	echo "*** ${S}"

	# dist
	mkdir -p ${D}/opt/continuum
	cp -r ${S}/* ${D}/opt/continuum

	# init script
	mkdir -p ${D}/etc/init.d
	cp ${FILESDIR}/continuum ${D}/etc/init.d/continuum
	chmod +x ${D}/etc/init.d/continuum
}

